Iron Speed Technical Forums
Sign up Latest Topics
 
 
 


Reply
  Author   Comment   Page 1 of 2      1   2   Next
sdms

Registered:
Posts: 139
Reply with quote  #1 
I have just upgraded from 9 to 10 and want to develop under .Net framework 4 but I see you need VS2010. Can someone advise what is the minimum version I need e.g. Professional or do I just need some component of it. I tried VS2010 Express but IS doesn't seem to recognise it when I try creating a deployment folder - says I need VS2010 but doesn't say what version. The other thing is it even still available to purchase as I get directed to VS2012 sites.

I noticed that no matter what deployment method I selected I must have VS2010, so am I correct in saying that to deploy my application it is dependant on me having VS2010 as well as IS?

My dev machine is Windows 7 Professional and the application builds and runs correctly.

Steve
supanes

Registered:
Posts: 111
Reply with quote  #2 
did you check here?

http://www.ironspeed.com/products/System-Requirements.aspx
sdms

Registered:
Posts: 139
Reply with quote  #3 
Thanks, that covers the versions (express not supported) which addresses that side of things but if I am reading correctly (please point me in the right direction if I have misunderstood this) it talks about the IDE being optional if you want to create a deployment folder, msi installer or customise/extend the application code - so what options are left in IS in order to deploy the application into production as there doesn't seem to be any unless you have VS2008 which to me indicates VS2008 is not optional but required.
Steve
sdms

Registered:
Posts: 139
Reply with quote  #4 
I have installed VS 2010 Professional. When I open my application and click on the "Visual Studio" icon it opens the page in VS 2010 Professional and the same if I select Launch Visual Studio from the Customize menu but if I run the deployment wizard I keep getting the message that Visual Studio is required??

Have restarted my machine and done a rebuild all but to no avail

I have also installed web projects for VS 2010 and I have also uninstalled 10.0.1 and reinstalled it but the deployment wizard still says I need Visual Studio 2010

Steve
srandrx

Registered:
Posts: 28
Reply with quote  #5 
I have experienced the problem upon migrating from ISD 10.0 to ISD 10.01.
Everything worked fine in 10.0.
So now I am back to ISD 10.0 which for now is the lesser of two evils

Here is the content of the support case I raised:

---------------------------------------

After installing version 10.01, I am unable to run Deploy as ISD reports the Visual Studio 2010 is no installed.This problem did not exist in ISD 10.0
Tried uninstalling ISD and Visual Studio 2010, then reinstalling VS 2010 followed by ISD but same problem.
When I uninstalled ISD 10.01 and reinstalled ISD 10.0 Visual Studio 2010 is found with no problem and Deploy works. 

-------------------------------------------------------------

__________________
- (S)(R)and(R)(X)
sdms

Registered:
Posts: 139
Reply with quote  #6 
Thanks, I have also submitted a support ticket. I am starting to wish I never moved to v10. Will see what support has to say and post the reply when I get it.

I even created a new blank application in 10.0.1 as my other one like yours was upgraded from 10 to 10.0.1 but that still has the same issue

Steve
JimiJ

Avatar / Picture

MVP Developer
Registered:
Posts: 1,966
Reply with quote  #7 
To be able to create a deployment package, you must install the Web Deployment Project tool:
http://www.microsoft.com/en-us/download/details.aspx?displaylang=en&id=24509

Note: For every VS version, there is a corresponding Web Deployment Project tool.  ISD deployment is dependent on this.


Cheers,
Jimi J


__________________

  Jaime Jegonia
[jts_logo]

Iron Speed MVP Developer
 

". . . and whoever sows generously will also reap generously" 2 Cor 9:6

srandrx

Registered:
Posts: 28
Reply with quote  #8 
Hi Jimi,

Web Deployment Tool was installed in all instances.


__________________
- (S)(R)and(R)(X)
JimiJ

Avatar / Picture

MVP Developer
Registered:
Posts: 1,966
Reply with quote  #9 
You must have bugs in your application.
Can you successfully create Web Deployment from VS?

__________________

  Jaime Jegonia
[jts_logo]

Iron Speed MVP Developer
 

". . . and whoever sows generously will also reap generously" 2 Cor 9:6

srandrx

Registered:
Posts: 28
Reply with quote  #10 
Quote:
Originally Posted by JimiJ
You must have bugs in your application.
Can you successfully create Web Deployment from VS?


Jimi,

Thanks for your replies.

As I stated in my initial post, the application was created under ISD 10.0 and could build and deploy and execute with no problem.

When I migrated to ISD 10.1, thats when the problem occurs.

Build and Deploy under VS 2010 has no problem.

When I uninstall ISD 10.1 and reinstall ISD 10.0 there is no problem with deployment.

It's only under ISD 10.1 when I click the Deploy button it says VS2010 must be installed.

I have repeated this process several times ie. Uninstall ISD 10.0 , Install ISD 10.1 (and VS2010 with Web Deployment Tools)

Each an every time there is no problem with the same application under ISD 10.0 but the problem repeats with ISD 10.1.

By the way I have done this with 2 applications which deploy and run with no problems (after deployment) under ISD 10.0 but always get the "VS2010 not installed" message when migrated to ISD 10.1 and the deploy button is clicked.

I have also tested with a brand new application using ISD 10.1, just 1 table selected, no customisations with the same problem occurring.

Regards,



__________________
- (S)(R)and(R)(X)
JimiJ

Avatar / Picture

MVP Developer
Registered:
Posts: 1,966
Reply with quote  #11 
I tried and able to reproduce it.  It must be another BUG! 
Using 4.0 Net framework looks for VS 2010 while using 4.5 with VS 2012 installed able to complete the deployment package but the contents are not as we expect with the previous version.

Jimi J


__________________

  Jaime Jegonia
[jts_logo]

Iron Speed MVP Developer
 

". . . and whoever sows generously will also reap generously" 2 Cor 9:6

sdms

Registered:
Posts: 139
Reply with quote  #12 
Likewise the same for me Jimi, web projects installed. Looks like its a bug to me. Doesn't matter whether I generate a new application or use the one I migrated from 10.0 it still tells me I need VS2010.

The other issue I have is that I cannot even deploy the app in VS2010 due to compile errors which I have reported to IS two weeks ago or more. The errors are to do with mobile start page which they gave me a work around for (have to put the aspx pages into a different folder) whilst their engineers look at the issue but I now get more errors with 10.0.1 so I cannot deploy through IS or VS2010. Have updated my support ticket with the new errors so waiting now on someone getting back to me

Kirill

Avatar / Picture

Registered:
Posts: 223
Reply with quote  #13 
Guys,
can you try to open Designer\designer.config and add such key:
<add key="VS2010InstallThreshold" value = 0 />
Let me know if it resolves the case.

Also do you have VS2012 installed also?
JimiJ

Avatar / Picture

MVP Developer
Registered:
Posts: 1,966
Reply with quote  #14 
Thank you Kirill!
This key sorted out the issue:
<add key="VS2010InstallThreshold" value="0" />



__________________

  Jaime Jegonia
[jts_logo]

Iron Speed MVP Developer
 

". . . and whoever sows generously will also reap generously" 2 Cor 9:6

JimiJ

Avatar / Picture

MVP Developer
Registered:
Posts: 1,966
Reply with quote  #15 
Deployment Folder difference you must take note:

 
Attached Files
doc Difference_between_4_and_4.5.doc (82.50 KB, 97 views)


__________________

  Jaime Jegonia
[jts_logo]

Iron Speed MVP Developer
 

". . . and whoever sows generously will also reap generously" 2 Cor 9:6

Previous Topic | Next Topic
Print
Reply

Quick Navigation:

Easily create a Forum Website with Website Toolbox.

Download Iron Speed Designer

Terms of Service Privacy Statement